Subject: Re: bug#9463: 24.0.50; Errors should not be continuable

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Sep 2011 10:59:31 +0300

> From: Helmut Eller <[email-masked]>
> Date: Fri, 09 Sep 2011 09:36:59 +0200
> 
> > I agree with Stefan.  The current operation of `c' is consistent with
> > what other debuggers do in this situation.  For example, when GDB
> > catches a fatal signal, typing `c' will simply let the program
> > continue with the signal, which may mean it will crash.
> 
> What's the point of being compatible with GDB but not with previous
> versions of the Elisp debugger or for that matter with other Lisp
> debuggers?

At least some users expect the current behavior, I guess.  (I don't
use CL.)